First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 94502
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Games <games@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Bernhard Reiter <ockham@gmx.net>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 94502 depends on: Show dependency tree
Show dependency graph
Bug 94502 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2005-05-30 07:17 0000
the enigma datadir is modified from within the ebuild, but not in the relevant
place for the files in the src/ directory which are compiled with a -DLOCALEDIR
compile flag set from within src/Makefile.am based upon a datadir=... variable. 
Thus, the ebuild also needs to modify the datadir=... entry in src/Makefile.am
in order to get nls to work properly (otherwise, the program won't find the
locale files in /usr/share/locale/

--- /usr/portage/games-puzzle/enigma/enigma-0.91.ebuild 2005-05-26
18:51:03.000000000 +0200
+++ /usr/local/portage/games-puzzle/enigma/enigma-0.91.ebuild   2005-05-30
16:07:02.000000000 +0200
@@ -30,6 +30,9 @@
                sed -i \
                        -e "/^datadir/s:=.*:= /usr/share:" po/Makefile.in.in \
                        || die "sed failed"
+                sed -i \
+                        -e "/^datadir/s:=.*:= /usr/share:" src/Makefile.am \
+                        || die "sed failed"
        fi

        # thanks, we'll handle the doc install ourselves.


BTW, why aren't we setting the --datadir= ./configure flag instead? This would
change the data and related directories in all relevant source files, wouldn't it?

Reproducible: Always
Steps to Reproduce:

------- Comment #1 From Bernhard Reiter 2005-05-30 08:49:26 0000 -------
okay, the following should actually be sufficient:

--- /usr/portage/games-puzzle/enigma/enigma-0.91.ebuild 2005-05-26
18:51:03.000000000 +0200
+++ /usr/local/portage/games-puzzle/enigma/enigma-0.91.ebuild   2005-05-30
16:12:57.000000000 +0200
@@ -29,6 +29,7 @@
        if use nls ; then
                sed -i \
                        -e "/^datadir/s:=.*:= /usr/share:" po/Makefile.in.in \
+                       src/Makefile.am \
                        || die "sed failed"
        fi


------- Comment #2 From Mr. Bones. 2005-05-30 12:05:10 0000 -------
Fixed in CVS.  resync/remerge to get the patch. 

Thanks for the bug report and patch.

First Last Prev Next    No search results available      Search page      Enter new bug